import { Component } from '@angular/core';
import { MatDialog } from '@angular/material';

import { FeedbackDialogComponent } from '@app/degree-planner/dialogs/feedback-dialog/feedback-dialog.component';

@Component({
  selector: 'cse-navigation',
  templateUrl: './navigation.component.html',
  styleUrls: ['./navigation.component.scss'],
})
export class NavigationComponent {
  current = false;

  constructor(public dialog: MatDialog) {}
  public onFeedbackClick() {
    this.dialog.open(FeedbackDialogComponent);
  }
}
