import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'cse-course-details-dialog',
  template: `
    <mat-toolbar color="primary" class="dialog-toolbar">
      <span class="dialog-toolbar-title">Course Details</span>
      <button
        mat-button
        aria-label="Close course details dialog"
        mat-dialog-close
        class="close-btn"
      >
        <i
          class="material-icons"
          alt="Close course details dialog"
          matTooltip="Close course details dialog"
          matTooltipPosition="above"
          >clear</i
        >
      </button>
    </mat-toolbar>

    <mat-dialog-content class="mat-typography dialog-with-toolbar">
      <cse-course-details></cse-course-details>
    </mat-dialog-content>
  `,
})
export class CourseDetailsDialogComponent implements OnInit {
  constructor() {}

  ngOnInit() {}
}
